(Kinda Feature Request) Renoise And Jack2

so there’s jack2(jack 1.9.5) arrived in debian squeeze so i recklessly updated it from 0.118.

now renoise can’t connect to a brand new jack2(it was connectin to jack 0.118) with that logs

Renoise LOG> Jack: Trying to open client ‘renoise’…
unknown option character l
jackdmp 1.9.6
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2009 Grame.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
Unknown driver “netjack”
Renoise LOG> Jack: Opening the Jack server failed!
Renoise LOG> Error Message: Failed to open the JACK client. Please make sure that the JACK server is running!

i checked launched jackd server and it worked on input-output correctly.

also i can’t downgrade jack somehow.

system is debian squeeze x86_64, any tryouts with loading other libjackd libraries failed

+15

JACK 2 should be supported on all platforms.

jack 2 is fully backwards compatible to the older jack 1, so this is not the problem?

Khades: please try to start the jack server before starting Renoise, then you have full control over how its started.

Also make sure your “.jackrc” (see http://linux.die.net/man/1/jackd -> ENVIRONMENT please) is correct. Maybe the “I” option is specified there…

Jack as audio architecture is only available on Linux. The jack impls on OSX and windows do use the systems default audio drivers - are built on top of them. Theres nothing special you need to do to use jack with any application there.

i do really started renoise AFTER i started jackd

in logs above there’s lines says that renoise’s internal jack libs do not know about netjack, which is know by all apps that uses system libjack
and if i try to load 32bit libjack 1.9.5 i get heavy segfault.

started jackd like

/usr/bin/jackd -R -d alsa -P

i’ll say it again - i used renoise with jackd 0.118 without any ld_library_path and they were connectin well

jackd on linux uses systems default audio drivers to, on freebsd too, on solaris too, etc. And usin jackd a crossplatform rewire analog is very nice.

Sure, but jack itself loads as ASIO, Core Audio driver on windows & OSX, so applications don’t have to add support for jack at all to use it…

not in linux, we need jackd2 support - netjack driver

hi all,

i am really sorry to jump in that one. :(

Short: i can CONFIRM

Package: libjack0
Version: 1.9.5~dfsg-13

breaks

renoise connection to jack. However it worked perfectly with

Package: libjack0
Version: 0.118+svn3796-2

Expl. Some days ago i used renoise and jack on my desktop debian squeeze amd64, it worked perfectly. I had to upgrade some packages and somehow also updated jack, without to notice it. yesterday i tried to make some music again and renoise did not worked, connection to jack was impossible. ( for some unknown reasons, i am still fully unable to use renoise + alsa + output/record at the same time (i had sb live card very well supported, sta ice chip the same, intel onboard, laptop intel onboard, well… ) ). however it still worked on my laptop. i found the question here and installed the updated jack on the laptop, which immediately broke the working renoise + jack. At least qtracktor is able to use the new lib, interestingly after renoise tryes to connect and fails, qtractor is alos unabel to connect, until the server is get restarted. i am using qjackctl.

that’s it!

best,
mirsha